<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                template="/WEB-INF/templates/LoggedTemplate.xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core">


    <ui:define name="contentPart">

        <h:outputText 
            value="Nómina -> Reportes -> LayOut Serica" 
            style="font-weight: bold"/>

        <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>            
        <h:outputText value="Generación de reporte  serica" />
        <br/><br/>

        <div id="buscar" align="center" style="margin-top: 20px;">

            <h:form>
                <h:panelGrid columns="4" columnClasses="centered5,centered6,centered5,centered6" cellpadding="5">
                    <p:column>
                        <p:outputLabel value="Ejercicio" for="ejercicio" style="font-weight: bold" />
                    </p:column>
                    <p:column>
                        <p:selectOneMenu id="ejercicio" 
                                         class="ejercicio"
                                         required="true"
                                         requiredMessage="se debe seleccionar un ejercicio"
                                         value="#{reporteSericaMB.idEjercicio}"
                                         style="min-width: 200px !important; ">
                            <p:ajax   event="change"
                                      listener="#{reporteSericaMB.obtenerQuincenas()}"
                                      process="@(.ejercicio)"
                                      update="@(.quincenas)"/>
                            <f:selectItem itemLabel="Seleccionar ejercicio"
                                          noSelectionOption="true" />
                            <f:selectItems value="#{reporteSericaMB.ejercicios}"
                                           var="ejercicio"
                                           itemLabel="#{ejercicio.valor}"
                                           itemValue="#{ejercicio.idEjercicio}"
                                           />
                        </p:selectOneMenu>
                    </p:column>
                    <p:column>
                        <p:outputLabel value="Quincena" for="quincenas" style="font-weight: bold" />
                    </p:column>
                    <p:column>
                        <p:selectOneMenu id="quincenas"
                                         class="quincenas"
                                         required="true"
                                         value="#{reporteSericaMB.idQuincena}"
                                         style="min-width: 200px !important;"
                                         >
                            <p:ajax   event="change"
                                      listener="#{reporteSericaMB.obtenerNominas()}"
                                      process="@(.quincenas)"
                                      update="@(.nominas)"/>
                            <f:selectItem itemLabel="Seleccionar Quincena"

                                          noSelectionOption="true" />
                            <f:selectItems value="#{reporteSericaMB.quincenas}"
                                           var="quincena"
                                           itemLabel="#{quincena.get('DESCRIPCION_QUINCENA')}"
                                           itemValue="#{quincena.get('ID_QUINCENA')}"
                                           />

                        </p:selectOneMenu>
                    </p:column>
                </h:panelGrid> 
            </h:form>

        </div>

        <div id="datos" align="center">
            <h:form>
                <h:panelGrid columns="1" cellpadding="5" columnClasses="centered7" style="width: 90%">
                    <p:dataTable id="nominas" var="nomina" 
                                 value="#{reporteSericaMB.nominas}" 
                                 class="nominas"
                                 emptyMessage="No hay Nóminas"
                                 paginator="true" 
                                 rows="5"
                                 rowsPerPageTemplate="5,10,15"
                                 currentPageReportTemplate="Mostrando nóminas de la {startRecord} a la {endRecord} de {totalRecords}."
                                 paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"                         
                                 paginatorPosition="bottom"
                                 style="font-size: small"
                                 >
                        <p:column headerText="Ejercicio" style="width: 10%;">
                            <h:outputText value="#{nomina['EJERCICIO']}" />
                        </p:column>
                        <p:column headerText="Quincena" style="width: 10%; ">
                            <h:outputText value="#{nomina['QUINCENA']}" />
                        </p:column>
                        <p:column headerText="Tipo de Nómina" style="width: 30%; ">
                            <h:outputText value="#{nomina['TIPO_NOMINA']}" />
                        </p:column>
                        <p:column headerText="Acciones" style="width: 10%; ">
                            <p:commandButton value="Descargar txt"
                                             title="DESCARGA TXT"
                                             ajax="false"
                                             rendered="#{nomina['TIPO_NOMINA'] ne 'EXTRAORDINARIA'}"
                                             icon="ui-icon-arrowthick-1-s"
                                             actionListener="#{reporteSericaMB.getFileDownload(nomina['ID_NOMINA'])}"
                                             style="display:inline; float:left;font-size:x-small;width: 80%">
                                <p:fileDownload value="#{reporteSericaMB.file}" />
                            </p:commandButton>

                            <p:commandButton value="Descargar excel"
                                             title="DESCARGA xls"
                                             ajax="false"
                                             rendered="#{nomina['TIPO_NOMINA'] ne 'EXTRAORDINARIA'}"
                                             icon="ui-icon-arrowthick-1-s"
                                             actionListener="#{reporteSericaMB.getFileDownloadxls(nomina['ID_NOMINA'],nomina['TIPO_NOMINA'])}"
                                             style="display:inline; float:left;font-size:x-small;width: 80%; margin-top: 2px;">
                                <p:fileDownload value="#{reporteSericaMB.file}" />
                            </p:commandButton>
                            <p:commandButton value="Detalle"
                                             title="Detalle"
                                             rendered="#{nomina['TIPO_NOMINA'] eq 'EXTRAORDINARIA'}"
                                             actionListener="#{reporteSericaMB.detalleExt(nomina['ID_NOMINA'],nomina['TIPO_NOMINA'])}"
                                             oncomplete="PF('dlgDetalle').show();"
                                             update="@(.dlgDetalle)"
                                             style="display:inline; float:left;font-size:x-small;width: 80%">

                            </p:commandButton>

                        </p:column>
                    </p:dataTable>
                </h:panelGrid>
            </h:form>
        </div>


        <div>
            <p:dialog widgetVar="dlgDetalle"
                      class="dlgDetalle"
                      appendTo="@(body)" 
                      dynamic="false" 
                      modal="true"
                      draggable="false"
                      closable="true" 
                      position="top"
                      closeOnEscape="true"
                      resizable="false"
                      header="Detalle Serica extraordinaria"
                      style="margin-top: 2%; min-height: 85%;max-height: 85%; min-width:90%;max-width:90%; overflow: auto; "
                      >
                <h:form>
                    <div style="max-height: 65%;min-height: 65%; width: 100%; overflow: auto;">
                        <p:dataTable var="detalle" 
                                     class="detalleSerica"
                                     value="#{reporteSericaMB.lstDetalleExt}"
                                     paginator="true"                                         
                                     rows="5"
                                     editable="true"
                                     editMode="cell"
                                     paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"                         
                                     scrollable="true" 
                                     scrollWidth="99%"                
                                     rowsPerPageTemplate="5,10,15"
                                     currentPageReportTemplate="Mostrando empleados del {startRecord} al {endRecord} de {totalRecords}."
                                     paginatorPosition="bottom"                 
                                     emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                                     style="font-size: small;"
                                     >
                            <p:column headerText="NUMERO EMPLEADO"
                                      filterBy="#{detalle['NEmpleado']}"
                                      style="width: 25%; font-size: small;">
                                <h:outputText value="#{detalle['NEmpleado']}" />
                            </p:column>
                            <p:column headerText="NOMBRE"
                                      filterBy="#{detalle['Nombre']}"
                                      style="width: 25%; font-size: small;">
                                <h:outputText value="#{detalle['Nombre']}" />
                            </p:column>
                            <p:column headerText="A PATERNO"
                                      filterBy="#{detalle['APaterno']}"
                                      style="width: 25%; font-size: small;">
                                <h:outputText value="#{detalle['APaterno']}" />
                            </p:column>
                            <p:column headerText="A MATERNO"
                                      filterBy="#{detalle['AMaterno']}"
                                      style="width: 25%; font-size: small;">
                                <h:outputText value="#{detalle['AMaterno']}" />
                            </p:column>

                            <p:column headerText="FECHA INICIO"
                                      filterBy="#{detalle['FInicio']}"
                                      style="width: 20%; font-size: small;" >
                                <p:cellEditor>
                                    <f:facet name="output">
                                        <h:outputText value="#{detalle['FInicio']}">
                                            <f:convertDateTime pattern="dd/MM/yyyy" />
                                        </h:outputText>
                                    </f:facet>
                                    <f:facet name="input">
                                        <p:calendar 
                                            value="#{detalle['FInicio']}"
                                            id="FInicio" 
                                            pattern="dd/MM/yyyy"
                                            locale= "es"
                                            style="width: 100px"
                                            maxlength="10"
                                            mode="popup"
                                            navigator="true"
                                            readonlyInput="true" 
                                            size="12"
                                            mindate="#{reporteSericaMB.minInicio}"
                                            maxdate="#{reporteSericaMB.maxFinal}"
                                            converterMessage="Fecha incorrecta, el formato es dd/MM/yyyy"
                                            >
                                            <p:ajax event="dateSelect" />
                                        </p:calendar>
                                    </f:facet>
                                </p:cellEditor>
                            </p:column>
                            <p:column headerText="FECHA FINAL" 
                                      filterBy="#{detalle['FFinal']}"
                                      style="width: 20%; font-size: small;" >
                                <p:cellEditor>
                                    <f:facet name="output">
                                        <h:outputText value="#{detalle['FFinal']}" >
                                            <f:convertDateTime pattern="dd/MM/yyyy" />
                                        </h:outputText>
                                    </f:facet>
                                    <f:facet name="input">
                                        <p:calendar 
                                            value="#{detalle['FFinal']}"
                                            id="FFinal" 
                                            pattern="dd/MM/yyyy"
                                            locale= "es"
                                            style="width: 100px"
                                            maxlength="10"
                                            mode="popup"
                                            navigator="true"
                                            readonlyInput="true" 
                                            size="12"
                                            mindate="#{reporteSericaMB.minInicio}"
                                            maxdate="#{reporteSericaMB.maxFinal}"
                                            converterMessage="Fecha incorrecta, el formato es dd/MM/yyyy"
                                            >
                                            <p:ajax event="dateSelect" />
                                        </p:calendar>
                                    </f:facet>
                                </p:cellEditor>
                            </p:column>

                            <p:column headerText="PERCEPCIONES"
                                      filterBy="#{detalle['Percepciones']}"
                                      style="width: 20%; font-size: small;">
                                <h:outputText value="#{detalle['Percepciones']}" />
                            </p:column>
                            <p:column headerText="DEDUCCIONES"
                                      filterBy="#{detalle['Deducciones']}"
                                      style="width: 20%; font-size: small;">
                                <h:outputText value="#{detalle['Deducciones']}" />
                            </p:column>

                        </p:dataTable>
                    </div>
                    <div>
                        

                            <p:commandButton value="Descargar excel"
                                             title="DESCARGA xls"
                                             ajax="false"
                                             rendered="#{nomina['TIPO_NOMINA'] ne 'EXTRAORDINARIA'}"
                                             icon="ui-icon-arrowthick-1-s"
                                             actionListener="#{reporteSericaMB.guardarArchivo(2)}"
                                             style="display:inline; float:right;font-size:x-small;width: 10%;">
                                <p:fileDownload value="#{reporteSericaMB.file}" />
                            </p:commandButton>
                        <p:commandButton value="Descargar txt"
                                             title="DESCARGA TXT"
                                             ajax="false"
                                             rendered="#{nomina['TIPO_NOMINA'] ne 'EXTRAORDINARIA'}"
                                             icon="ui-icon-arrowthick-1-s"
                                             actionListener="#{reporteSericaMB.guardarArchivo(1)}"
                                             style="display:inline; float:right;font-size:x-small;width: 10%">
                                <p:fileDownload value="#{reporteSericaMB.file}" />
                            </p:commandButton>
                    </div>
                    
                </h:form>
            </p:dialog>

        </div>




    </ui:define>


</ui:composition>